package logs

import (
	"fmt"
	"github.com/gogf/gf/errors/gerror"
	"github.com/gogf/gf/frame/g"
	"github.com/gogf/gf/os/glog"
)


func Log(path string, level string, format string, v ...interface{}) {
	newPath := g.Log().GetPath() + "/" + path
	glog.Path(newPath).File(level + "-{Ymd}.log").Println(fmt.Sprintf(format, v...))
}




func CheckErr(err error, extra string) bool {
	newPath := g.Log().GetPath() + "/error/"
	if err != nil {
		glog.Path(newPath).File("{Ymd}.log").Println(fmt.Sprintf("%+v",gerror.Wrap(err, extra)))
		return true
	}
	return false
}